package me.qwq.doghouse;

import java.util.Properties;

import javax.mail.Authenticator;
import javax.mail.Message.RecipientType;
import javax.mail.MessagingException;
import javax.mail.PasswordAuthentication;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

public class MailApp {
    
    public static void main(String[] args) throws MessagingException {
    //  账号信息
        String username = "i@qwq.me";// 邮箱发送账号
        String password = "";//    邮箱授权码
        
        //  创建一个配置文件，并保存
        Properties props = new Properties();
        
        //  SMTP服务器连接信息
        //  126——smtp.126.com
        //  163——smtp.163.com
        //  qqsmtp.qq.com"
        props.put("mail.smtp.starttls.enable", true);//    启用 TLS 加密
        props.put("mail.smtp.host", "smtp.zoho.com");//  SMTP主机名
 
        //  126——25
        //  163——645 
        props.put("mail.smtp.port", 587);//    主机端口号
        props.put("mail.smtp.auth", true);//  是否需要用户认证
        
        Session session = Session.getInstance(props, new Authenticator() {
            @Override
            protected PasswordAuthentication getPasswordAuthentication() {
                return new PasswordAuthentication(username, password);
            }
        });
        
        //  控制台打印调试信息
        session.setDebug(true);
            
        //  创建邮件对象
        MimeMessage message = new MimeMessage(session);
        message.setSubject("主题");
        message.setContent("<b>文本信息</b>", "text/html;charset=UTF-8");
        message.setFrom("Doghouse<i@qwq.me>");
        message.setRecipient(RecipientType.TO, new InternetAddress("huocaizhu@qq.com"));
         
        //  发送
        Transport.send(message);
    }

}
